gjandris
Pilgrim

Cannot register node locked license

I went to the flexnetoperations page and generated the license file. When I go to activate the product I get an error.
Any ideas why this doesn't work? It has on this machine for all other versions.



Trying to checkout IACE version=17.0
Library for Native Hostid Couldn't Be Loaded (-521,7024)
Trying to checkout IAEE version=17.0
Library for Native Hostid Couldn't Be Loaded (-521,7024)
Trying to checkout IACJ version=17.0
Library for Native Hostid Couldn't Be Loaded (-521,7024)
Trying to checkout IAEJ version=17.0
Library for Native Hostid Couldn't Be Loaded (-521,7024)
Trying to checkout IACB version=17.0
Library for Native Hostid Couldn't Be Loaded (-521,7024)
Trying to checkout IAEB version=17.0
Library for Native Hostid Couldn't Be Loaded (-521,7024)
Trying to checkout IAS version=17.0
Library for Native Hostid Couldn't Be Loaded (-521,7024)
Labels (1)
0 Kudos
7 Replies
vdonga
Flexera
Flexera

Works for me. Looks like a linux machine. Which flavor of Linux are you using?

Also, since your say it works for previous versions, can you check the hostid that you used for the previous ones against the one you used for IA 2015. Just to make sure, when generating the license file, the correct host id is used.
0 Kudos
gjandris
Pilgrim

The linux version is CentOS 6.6

The host id matches that used for IA 2014, that was the first thing I checked.
0 Kudos
gjandris
Pilgrim

We have 3 licenses, this happens with all of them.
0 Kudos
vdonga
Flexera
Flexera

CentOS 6.6, I don't see it in the Authoring Environment in the System Requirements section of release notes. But since you mentioned it actually works for IA 2014, you can try the below

1. Take backup of /resource/fnp folder
2. Copy /resource/fnp folder and place it in /resource/

See if this works.
0 Kudos
gjandris
Pilgrim

That worked! Thank you! 😮
0 Kudos
jerome_IA
Flexera beginner

Thanks for this post ... you most probably saved part of my day work!!

I also had this issue on CentOS 6.6 while it was working on other distributions.

--Jerome
0 Kudos
mynameisfourtee
Pilgrim

I'm experiencing this same problem on Centos 6.5, and I do not have an older version of InstallAnywhere to steal libraries from. This knowledge base article: https://flexeracommunity.force.com/customer/articles/en_US/ISSUE/Unable-To-License-64-Bit-Version-Of... hasn't helped either.

If I run the resource/fnp/lmhostid command, it runs and gives good output, but I still see the error message when runing the registration command.

EDIT: My issue is resolved - I contacted Flexera support and they sent me an updated liblmgr11.so directly - I guess that knowledge base article did describe my problem, but hadn't been kept fully up to date.
0 Kudos